# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'norad_spec_runner/version'

Gem::Specification.new do |spec|
  spec.name          = "norad_spec_runner"
  spec.version       = NoradSpecRunner::VERSION
  spec.authors       = ["Brian Manifold", "Blake Hitchcock", "Roger Seagle"]
  spec.email         = ['norad.dev@gmail.com']

  spec.summary       = %q{Gem to help with running Rspec.}
  spec.description   = %q{Gem to help with running Rspec.}
  spec.homepage      = "https://gitlab.com/norad/spec-runner"
  spec.license       = "Apache-2.0"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'serverspec', '= 2.41.2'
  spec.add_runtime_dependency 'rspec', '= 3.7.0'
  spec.add_runtime_dependency 'rspec-expectations', '= 3.7.0'
  spec.add_runtime_dependency 'thor', '= 0.20.0'
  spec.add_runtime_dependency 'specinfra', '= 2.72.0'

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
end
